Closed Bug 473163 Opened 13 years ago Closed 13 years ago

The error prompt is incorrect when import a subscribe which is already exist

Categories

(Thunderbird :: General, defect)

x86
Linux
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED DUPLICATE of bug 307629

People

(Reporter: mcepl, Unassigned)

Details

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; cs-CZ; rv:1.9.0.5) Gecko/2008121622 Fedora/3.0.5-1.fc10 Firefox/3.0.5 Ubiquity/0.1.4
Build Identifier: thunderbird-2.0.0.19-1.fc10.i386

(originally filed as https://bugzilla.redhat.com/show_bug.cgi?id=477747)
The error prompt is incorrect when import a subscribe which is already exist.

Reproducible: Always

Steps to Reproduce:
1. Launch thunderbird.
2. Click Edit->Account Setting-> Add Account.
3. Select RSS New & Blogs.
4. Follow the pop-up information to finish it.
5. Right-click on New & Blogs to select "Subscribe".
6. Click "Add" to add a new subscribe, such as
"http://rss.dw-world.de/rdf/rss-chi-all".
7. Click "Export" to export this subscribe and save at local machine.
8. Click "Import" to import the subscribe saved on locale machine.
Actual Results:  
A window pop-up with the error message "" Either MyThunderbirdFeeds.opml is not
a valid OPML file or there was an error importing the file.

Expected Results:  
The error message should be "You already have a subscribe for this feed".

When I delete the subscribe and export it again, it was exported successfully,
so the importing file is correct.
Status: UNCONFIRMED → RESOLVED
Closed: 13 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 307629
You need to log in before you can comment on or make changes to this bug.